Summary: e-smith specific telnet configuration files and templates
%define name e-smith-telnet
Name: %{name}
%define version 1.6.0
%define release 02
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-telnet-1.6.0-02.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base, telnet-server
Requires: e-smith-lib >= 1.13.1-33
AutoReqProv: no

%changelog
* Wed Jul 16 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-02]
- Use correct config db key in hosts.allow fragment. [charlieb 9493]
- Replace Copyright header with License header.

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Changing version to stable stream number - 1.6.0

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-03]
- s/HostsAllowSpec/hosts_allow_spec/ [charlieb 5650]

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-02]
- Re-do hosts.allow template to use esmith::ConfigDB::HostsAllowSpec.
  Add dependency on up-to-date e-smith-lib. [charlieb 5650]

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- Roll development stream to 1.5.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Roll to maintained version number to 1.4.0

* Wed Oct  2 2002 Mark Knox <markk@e-smith.com>
- [1.3.1-04]
- Remove stray braces from hosts.allow template [markk 3786]

* Mon Sep 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-03]
- Fix hosts.allow template problem with last change [charlieb 3786]

* Tue Sep 10 2002 Mark Knox <markk@e-smith.com>
- [1.3.1-02]
- Remove deprecated split on pipe [markk 3786]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.1-01]
- Test build to verify CVS conversion

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-05.
- Remove %post and %postun scripts - we don't need them.

* Tue Aug 28 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.2.0-05]
- Removed links from deprecated post-restore event

* Fri Aug 17 2001 gordonr
- [1.2.0-04]
- Autorebuild by rebuildRPM

* Mon Feb 12 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-03]
- add default for permitRootLogin in 20auth, so that it defaults
  to no root login when parameter isn't defined.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-10.

* Thu Jan 18 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-10]
- updated to once again allow root logins if the remoteacces panel
  for allowing root logins over telnet is enabled.
- linked into remoteaccess-update.

* Sat Jan 13 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-9]
- add pam_securetty.so back in, so that root logins on upgrade
  are no longer allowed.

* Sat Jan  6 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-8]
- Make %post and %postun actions depend on running in runlevel 7

* Fri Jan  5 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-7]
- add selective bind back in for now.

* Fri Jan  5 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-6]
- backed out bind local interface code, needs to be rethought to allow
  localhost access as well.

* Thu Jan  4 2001 Adrian Chung <adrianc@e-smith.com>
- [1.1.0-5]
- changed 35telnet fragment to only expand if telnet is enabled.
- if telnet access mode is set to private, telnet binds only to LocalIP
  in xinetd.conf.

* Thu Dec 21 2000 Charlie Brady <charlieb@e-smith.com>
- Always expand login's pam configuration.
- Remove conf-telnet from lots of events - access gets modified
  by default by other actions which configure hosts.allow, and
  masq rules etc.

* Wed Dec 13 2000 Gordon Rowell <gordonr@e-smith.com>
- Disable telnet by default

* Wed Dec  6 2000 Adrian Chung <adrianc@e-smith.com>
- Insert a link into post-install.

* Mon Dec  4 2000 Adrian Chung <adrianc@e-smith.com>
- Initial release - split from e-smith-base

%description
Configuration files and templates for the telnet daemon.

%prep
%setup
%patch0 -p1

%build
for i in post-install post-upgrade remoteaccess-update
do
    mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
